[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.UpdateCurrentView

UpdateCurrentView - updates the current appearance of the Icon.

## Declaration

Source position: graphics.pp line 1645

`protected procedure TCustomIcon.UpdateCurrentView;`

## Description

UpdateCurrentView is a procedure used to refresh the canvas when an icon image has been modified. UpdateCurrentView frees the device context (or handle) for the Canvas, and calls the Changed method.

UpdateCurrentView is called from methods like Add and Delete, and when a new icon image is selected by setting the value in the Current property.